Create a Story Mapping
Create a variant story by duplicating the original story and mapping the two stories.
https://mapi.storyblok.com/v1/spaces/:space_id/experiments/:experiment_id/variants/:variant_id/story_mappingsPath parameters
Section titled “Path parameters”-
:space_idrequired numberNumeric ID of a space.
-
:experiment_idrequired numberNumeric ID of the experiment.
-
:variant_idrequired numberNumeric ID of the experiment variant.
Request body properties
Section titled “Request body properties”-
story_mappingrequired object
Response properties
Section titled “Response properties”-
story_mappingobjectThe created story mapping.
Show child properties
-
experiment_variant_idnumberNumeric ID of the variant the mapping belongs to.
-
original_story_idnumberNumeric ID of the original story.
-
variant_story_idnumberNumeric ID of the variant story that replaces the original story when loading the variant.
-
original_slugstringfull_slugof the original story. -
variant_slugstringfull_slugof the variant story. -
variant_storyobjectThe variant story object.
-
Examples
Section titled “Examples”curl "https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings" \ -X POST \ -H "Authorization: YOUR_OAUTH_TOKEN" \ -H "Content-Type: application/json" \ -d "{\"story_mapping\":{\"original_story_id\":176024833123843}}"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",});
try { const response = await storyblok.post('spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings', { "story_mapping": { "original_story_id": 176024833123843 } }) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
$payload = ["story_mapping" => ["original_story_id" => 176024833123843]];
$client->post('spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings', $payload)->getBody();HttpResponse<String> response = Unirest.post("https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings") .header("Content-Type", "application/json") .header("Authorization", "YOUR_OAUTH_TOKEN") .body({"story_mapping":{"original_story_id":176024833123843}}) .asString();var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings");var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");request.AddParameter("application/json", "{\"story_mapping\":{\"original_story_id\":176024833123843}}", ParameterType.RequestBody);IRestResponse response = client.Execute(request);import requests
url = "https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings"
querystring = {}
payload = {"story_mapping":{"original_story_id":176024833123843}}headers = { 'Content-Type': "application/json", 'Authorization': "YOUR_OAUTH_TOKEN"}
response = requests.request("POST", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
payload = {"story_mapping" => {"original_story_id" => 176024833123843}}
client.post('spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings', payload)let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings")request.httpMethod = "POST"request.httpBody = try JSONSerialization.data(withJSONObject: [ "story_mapping": [ "original_story_id": 176024833123843, ],])let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(MAPI)) { accessToken = OAuth("YOUR_OAUTH_TOKEN") }}
val response = client.post("spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings") { setBody(buildJsonObject { putJsonObject("story_mapping") { put("original_story_id", 176024833123843) } })}
println(response.body<JsonElement>())Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window) . Terms of Service (opens in a new window) apply.
Get in touch with the Storyblok community